//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class Tb_AdmissHigQual
    {
        public int Id { get; set; }
        public Nullable<int> AdmissionId { get; set; }


        [Display(Name = "Sr.No.")]
        [Required(ErrorMessage = "Sr.No. is required")]
        public Nullable<int> SrNo { get; set; }

        [Display(Name = "Qualification")]
        [Required(ErrorMessage = "Qualification is required")]
        [StringLength(50)]
        public string Qualification { get; set; }

        [RegularExpression(@"\d{4}$", ErrorMessage = "Invalid")]
        public string YearOfPassing { get; set; }

       
        public Nullable<double> CGPA { get; set; }


    
        [StringLength(30)]
        public string Board { get; set; }


        public Nullable<bool> _status;
        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }

            }
            set
            {
                _status = value;

            }
        }

        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Cdate { get; set; }

        public virtual MaAdmission MaAdmission { get; set; }
    }
}
